Subject: Suggestion to Hitless Restart draft

From: "Naidu, Venkata" <[email-masked]>
Date: Wed, 8 May 2002 11:08:23 -0400

John & All,

  I have a small suggestion to appendix A in
  draft-ietf-ospf-hitless-restart-02.txt.
  (I already hinted in CCAMP WG discussion
  http://ops.ietf.org/lists/ccamp/ccamp.2002/msg00694.html)

  Just like *Hitless restart reason (Type=2, length=1)*,
  it would be better to include addition TLV called:

  o   Hitless Action Request (Type=4, length=1). Encodes
      the action requested from neighbor for the router
      restart.

  This TLV is *optional* in a grace-LSA. If not present
  in grace-LSA then default action will be performed by
  all the neighbors.

  The usefulness of this TLV is extensibility. If I know
  that, all of my neighbors are from same vendor, then I
  can implement my own proprietary mechanism in restart.

  As you all know, everyone has different opinions and
  ideas in implementing hitless restart - so it is better
  to allow some room for future action requests from
  neighbors (from routing, signaling, MPLS, GMPLS, TE,
  control, forwarding etc etc modules restarts perspective).

--
Venkata